EEPGET(1)

NOMBRE
Eepget - Gestor de descarga de I2P

SINOPSIS
eepget [opciones]URL

DESCRIPCIÓN

Descarga un fichero de forma no interactiva vía HTTP. Están soportadas las transferencias tanto a través de I2P como de la Internet regular.

Eepget puede enfrentarse a conexiones de red lentas o inestables; si una descarga no se completa a causa de un problema de red, seguirá intentándolo hasta que el fichero se haya descargado del todo (si la opción -n está establecida). Si el servidor remoto lo soporta, eepget le dará instrucciones para que reanude la descarga desde el punto en que se interrumpió.

OPCIONES
-c

Clearnet (red abierta). No utiliza un proxy. Lo mismo que -p :0 .

-e etag

Establece el valor de la etag en las cabeceras HTTP de las peticiones.

-h nombre=valor

Añade una cabecera arbitraria de petición HTTP con el nombre y valor dados.

-l tamañoLínea

Controla el indicador de progreso.  tamañoLínea  es el tamaño de una línea de progreso en caracteres. El valor predeterminado es 40.

-m volumenMarca

Controla el indicador de progreso.  volumenMarca  es el número de bytes que cada caracter '#' representa en la línea de progreso. El valor predeterminado es 1024.

-n reintentos

Especifica el número de veces a reintentar la descarga si no se completa. Si no se especifica esta opción, eepget no efectuará reintentos.

-o fichero

Establece el fichero de salida al que escribir. Si no se proporciona esta opción, el nombre del fichero de salida se determinará por la URL.

-p servidor_proxy[:puerto]

Especifica un servidor proxy I2P (eeproxy) a usar. Si no se especifica el puerto, eepget usará 4444. Si no se especifica esta opción, eepget usará 127.0.0.1:4444. Especifique -c o -p :0 para deshabilitar el eeproxy.

-t segundos

Establece el tiempo de espera por inactividad. El valor predeterminado es 60 segundos.

-u nombreUsuario

Establece el nombre de usuario para la autorización del proxy, si se requiere.

-x contraseña

Establece la contraseña para la autorización del proxy, si se requiere. Si se especifica un nombre de usuario pero no una contraseña, EepGet solicitará la contraseña.

ESTADO DE LA SALIDA
eepget produce una salida con estado cero cuando la transferencia se ha completado, y no-cero si hubo problemas con la descarga.

INFORMAR DE FALLOS
Please enter an issue on the I2P GitLab server (https://i2pgit.org/i2p-hackers/i2p.i2p/-/issues).

VEA TAMBIÉN
i2prouter(1) curl(1) wget(1)